Sample Aid
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Logic 9 Important Tip for upgrading to Logic 9.1.2

Discussion in 'Logic 9' started by Orren Merton, Oct 15, 2010.

  1. Orren Merton

    Orren Merton Logic Samurai / Administrator Staff Member

    There have been some reports of reduced performance and track count for users of the latest iMacs and MacBooks (the ones with i5/i7 CPUs and "hyperthreading") on some forums. Clearly, Logic has changed the way it meters these machines, but the jury is still out whether this is an actual reduction in performance, or simply a change in meters.

    However, just in case, it is always a good idea to back up your older versions!

    Since the Update installer (or using System Update) writes over your current version of Logic, there isn't an easy way to revert to the previous version of Logic.

    Therefore, before you update, you should make a .zip file copy of Logic 9.1.1 (just select "Compress Logic Pro" from the Finder's "File" menu, or right-click on the application icon in the Finder to bring up the shortcut menu).

    This way, if you do find reduced track count or plug-in count, you'll still have the older version to unzip and use.

  3. Markdvc

    Markdvc Administrator Staff Member

    This is very good allround advice, methinks, FAQ worthy:

    Logic 9 FAQ 11

    kind regards

  4. Seefree

    Seefree New Member

    I wish I knew this before just went out and bought the newest MacBook i5.
  5. Marlan

    Marlan New Member

    Does this mean that there is no issue with upgrading from 9.1.1 on my Macbook Pro from late 2009 dual 2.8 Intel with 4 gigs?

    Just checking to see if anyone has had a problem. I am just now making the switch from Pro Tools HD and LE and using this configuration in conjunction with a Metric Halo ULN 8 and Euphonix MC Mix. I installed my first copy of logic ever (9.1.1) and probably don't even need the new version yet while I learn the program over the next couple of weeks or so.

  6. Markdvc

    Markdvc Administrator Staff Member

    Please note that Logic 9.1.2 has been superceded by 9.1.3. Even if you have D/Led 9.1.2, it makes sense to go straight to 9.1.3

    kind regards

  7. shreddersinc

    shreddersinc Member

    Orren, for the simple way to back-up a version of logic. Wish I would of came here first...

Share This Page